import 'package:flutter/material.dart';
import 'package:flutter_hooks/flutter_hooks.dart';
import 'package:hooks_riverpod/hooks_riverpod.dart';
import 'package:styled_widget/styled_widget.dart';
import 'package:gap/gap.dart';
import 'package:go_router/go_router.dart';

class MePage extends HookConsumerWidget {
  const MePage({super.key});
  @override
  Widget build(BuildContext context, WidgetRef ref) {
    return ListView(
      children: [
        Column(
          mainAxisAlignment: MainAxisAlignment.center,
          children: [
            Image.asset('images/test.png', width: 120, height: 120).clipOval(),
            const SizedBox(height: 20),
            Text(
              'UnknownMp',
              style: TextStyle(fontWeight: FontWeight.w600, fontSize: 24),
            ),
          ],
        ).constrained(height: 320, width: double.infinity),
        const Divider(height: 16),
        Column(
          children: [
            InkWell(
              onTap: () => context.push('/settings'),
              child: ListTile(
                leading: const Icon(Icons.settings),
                title: const Text('设置'),
                trailing: const Icon(Icons.arrow_forward),
              ),
            ),
          ]
        ),
      ],
    );
  }
}
